Package com.verisign.epp.codec.nv

## Enum EPPRealNameVerification.Role

- java.lang.Object
- - java.lang.Enum<EPPRealNameVerification.Role>
  - - com.verisign.epp.codec.nv.EPPRealNameVerification.Role

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPRealNameVerification.Role>`
  Enclosing class:
    EPPRealNameVerification

      public static enum EPPRealNameVerification.Role
      extends java.lang.Enum<EPPRealNameVerification.Role>

  Real Name Verification (RNV) role that include:
  - `PERSON` - The RNV is for a person.
  - `ORG` - The RNV is for an organization.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ORG` |
    `PERSON` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPRealNameVerification.Role` | `getRole​(java.lang.String aString)` | Get the role enumerated value given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `Role` value to a `String`.
    `static EPPRealNameVerification.Role` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPRealNameVerification.Role[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERSON

          public static final EPPRealNameVerification.Role PERSON

    - #### ORG

          public static final EPPRealNameVerification.Role ORG

  - ### Method Detail

    - #### values

          public static EPPRealNameVerification.Role[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRealNameVerification.Role c : EPPRealNameVerification.Role.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRealNameVerification.Role valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getRole

          public static EPPRealNameVerification.Role getRole​(java.lang.String aString)

      Get the role enumerated value given the matching string.
      Parameters:
        `aString` - `Role` enumerated string to convert to an enumerated `Role` instance.
      Returns:
        Enumerated `Role` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `Role` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Role` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPRealNameVerification.Role>`